/*
Copyright (c) 2007 Antti Kupila.
URL: http://www.anttikupila.com

Permission is hereby granted, free of charge, to any person obtaining a copy of
this software and associated documentation files (the "Software"), to deal in
the Software without restriction, including without limitation the rights to
use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
of the Software, and to permit persons to whom the Software is furnished to do
so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
*/
package {

	import flash.display.Sprite;
	import flash.events.Event;
	
	import com.anttikupila.utils.JPGSizeExtractor;

	public class Main extends Sprite {

		import com.anttikupila.utils.*;
		
		// _________________________________________________________________________
		// CONSTRUCTOR

		public function Main() {
			
			var je : JPGSizeExtractor = new JPGSizeExtractor( );
				je.addEventListener( JPGSizeExtractor.PARSE_COMPLETE, sizeHandler );
				je.addEventListener( JPGSizeExtractor.PARSE_FAILED, failHandler );
//				je.debug = true;

			je.extractSize( "path_to_your_jpg_file.jpg" );
			
		}
		
		// _________________________________________________________________________
		// EVENT HANDLERS
		
		protected function sizeHandler( e : Event ) : void {
			trace( "SIZE: " + e.target.width + " x " + e.target.height );
		}
		
		protected function failHandler( e : Event ) : void {
			trace( "Size could not be obtained, file was not according to JFIF specification" );
		}
		
	}
} 